<div class="pedidos-container">

    <mat-card>

        <h1>Pedidos</h1>
        <hr>

        <div class="container-filter">
            <mat-form-field class="filter">
                <mat-label>Filtrar</mat-label>
                <input matInput (keyup)="filterPedidos($event)" placeholder="Ej: Id, Titulo, Encargado, etc...">
            </mat-form-field>
        </div>

        <mat-table class="table-pedidos" [dataSource]="pedidos" cdkDropListGroup matSort>

            <ng-container *ngFor="let column of columns; let i = index" [matColumnDef]="column.field">
                <mat-header-cell 
                  *matHeaderCellDef
                  cdkDropList
                  cdkDropListLockAxis="x"
                  cdkDropListOrientation="horizontal"
                  (cdkDropListDropped)="dropListDropped($event, i)"
                  cdkDrag
                  (cdkDragStarted)="dragStarted($event, i)"
                  [cdkDragData]="{name: column.field, columIndex: i}" mat-sort-header>
                  {{ column.field }}
                </mat-header-cell>
                <mat-cell *matCellDef="let row" > {{ row[column.field] }}  </mat-cell>
              </ng-container>

            <mat-header-row  *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row (click)="rowClicked(dataRow)" *matRowDef="let dataRow; columns: displayedColumns"></mat-row>

        </mat-table>

        <mat-paginator [pageSizeOptions]="[tableDefaultRows]" showFirstLastButtons></mat-paginator>

    </mat-card>

</div>